Bug 589004 - SELinux is preventing /opt/google/chrome/chrome from loading /opt/google/chrome/libffmpegsumo.so which requires text relocation.
SELinux is preventing /opt/google/chrome/chrome from loading /opt/google/chro...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:64443921767...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-05 01:16 EDT by kunal
Modified: 2012-11-19 15:02 EST (History)
41 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-05 06:04:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
it is the snap of msg (86.90 KB, image/png)
2010-08-02 10:39 EDT, sanjay
no flags Details

  None (edit)
Description kunal 2010-05-05 01:16:18 EDT
Summary:

SELinux is preventing /opt/google/chrome/chrome from loading
/opt/google/chrome/libffmpegsumo.so which requires text relocation.

Detailed Description:

The chrome application attempted to load /opt/google/chrome/libffmpegsumo.so
which requires text relocation. This is a potential security problem. Most
libraries do not need this permission. Libraries are sometimes coded incorrectly
and request this permission. The SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. You can configure SELinux temporarily to allow
/opt/google/chrome/libffmpegsumo.so to use relocation as a workaround, until the
library is fixed. Please file a bug report.

Allowing Access:

If you trust /opt/google/chrome/libffmpegsumo.so to run correctly, you can
change the file context to textrel_shlib_t. "chcon -t textrel_shlib_t
'/opt/google/chrome/libffmpegsumo.so'" You must also change the default file
context files on the system in order to preserve them even on a full relabel.
"semanage fcontext -a -t textrel_shlib_t '/opt/google/chrome/libffmpegsumo.so'"

Fix Command:

chcon -t textrel_shlib_t '/opt/google/chrome/libffmpegsumo.so'

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_execmem_t:s0-
                              s0:c0.c1023
Target Context                system_u:object_r:lib_t:s0
Target Objects                /opt/google/chrome/libffmpegsumo.so [ file ]
Source                        chrome
Source Path                   /opt/google/chrome/chrome
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           google-chrome-beta-5.0.375.29-46008
Target RPM Packages           google-chrome-beta-5.0.375.29-46008
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   allow_execmod
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31.5-127.fc12.i686.PAE #1 SMP Sat Nov 7
                              21:25:57 EST 2009 i686 i686
Alert Count                   3
First Seen                    Wed 05 May 2010 09:13:04 AM IST
Last Seen                     Wed 05 May 2010 10:45:08 AM IST
Local ID                      fc292280-22cc-4c56-840b-0ce6fe880ca8
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1273036508.315:60): avc:  denied  { execmod } for  pid=6527 comm="chrome" path="/opt/google/chrome/libffmpegsumo.so" dev=sda3 ino=409104 scontext=unconfined_u:unconfined_r:unconfined_execmem_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1273036508.315:60): arch=40000003 syscall=125 success=no exit=-13 a0=dfd000 a1=140000 a2=5 a3=bfe962a0 items=0 ppid=0 pid=6527 auid=503 uid=503 gid=503 euid=503 suid=503 fsuid=503 egid=503 sgid=503 fsgid=503 tty=(none) ses=1 comm="chrome" exe="/opt/google/chrome/chrome" subj=unconfined_u:unconfined_r:unconfined_execmem_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,allow_execmod,chrome,unconfined_execmem_t,lib_t,file,execmod
audit2allow suggests:

#============= unconfined_execmem_t ==============
allow unconfined_execmem_t lib_t:file execmod;
Comment 1 Miroslav Grepl 2010-05-05 06:04:18 EDT
Please run

# yum update
# chcon -t textrel_shlib_t '/opt/google/chrome/libffmpegsumo.so'

To make this permanent

# semanage fcontext -a -t textrel_shlib_t '/opt/google/chrome/libffmpegsumo.so'
Comment 2 sanjay 2010-08-02 10:39:44 EDT
Created attachment 436043 [details]
it is the snap of msg

Note You need to log in before you can comment on or make changes to this bug.